Package org.eclipse.graphiti.palette

## Interface IConnectionCreationToolEntry

All Superinterfaces:
  `ICreationToolEntry`, `IPaletteEntry`, `IToolEntry`

All Known Implementing Classes:
  `ConnectionCreationToolEntry`

    public interface IConnectionCreationToolEntry
    extends ICreationToolEntry

The Interface IConnectionCreationToolEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<IFeature>` `getCreateConnectionFeatures()` Gets the creates the connection features.

### Methods inherited from interface org.eclipse.graphiti.palette.ICreationToolEntry

`getDescription, getLargeIconId`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Method Detail

#### getCreateConnectionFeatures

    java.util.List<IFeature> getCreateConnectionFeatures()

Gets the creates the connection features.

Returns:
  the the List<IFeature> connection features